GET
/ai_labs/organization/{Organization_Id}/usage/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/usage/?location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/usage/", params={"location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/usage/");url.search = new URLSearchParams({ location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Note: AI Labs is currently available only in the Delhi region. Get resource utilization and usage statistics for the organization
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Organization_Id
required
integer
Organization ID
Query Parameters
Section titled “Query Parameters”location
required
string
Location
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
Responses
Section titled “Responses”Successfully retrieved resource usage
Media typeapplication/json
object
code
integer
data
object
resources
object
notebooks
object
running
integer
inactive
integer
total
integer
last_launched
string format: date-time
inference_service
object
running
integer
inactive
integer
total
integer
last_launched
string
dataset
object
running
integer
inactive
integer
total
integer
last_launched
string
used_gpu_percentage
number format: float
resource_per_plan
object
key
additional properties
object
count
integer
percentage
number format: float
errors
object
message
string
Example
{ "code": 200, "data": { "resources": { "notebooks": { "running": 0, "inactive": 1, "total": 1, "last_launched": "2025-10-28T06:23:16.246133Z" }, "inference_service": { "running": 0, "inactive": 0, "total": 0, "last_launched": "" }, "dataset": { "running": 0, "inactive": 0, "total": 0, "last_launched": "" } }, "used_gpu_percentage": 0, "resource_per_plan": { "additionalProperty": { "count": 1, "percentage": 100 } } }, "errors": {}, "message": "Success"}